Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.model
Class PicAttributeName

    java.lang.Object
      jpicedt.graphic.model.PicAttributeName

public class PicAttributeName
extends Object

A wrapper for an attribute name that can be pushed into a PicAttributeSet. This allows typesafe enumerations, and besides enforces runtime checking as for attributes values that can be safely attached to this PicAttributeName.

Since:
  jpicedt 1.3.2
Version:
  $Id: PicAttributeName.java,v 1.9.2.1 2007/09/02 11:56:26 reynal Exp $

Author:
  Sylvain Reynal

Field Summary
`protected Class` | `allowedValueClass`

Constructor Summary
`protected` | `PicAttributeName(String name, Class allowedValueClass)`

Method Summary
`Class` | `getAllowedValueClass()` Return the class that is allowed for attribute values
`String` | `getName()` Return the name of the attribute described by this PicAttributeName
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### allowedValueClass

    protected Class allowedValueClass

Constructor Detail

### PicAttributeName

    protected PicAttributeName(String name,
                               Class allowedValueClass)

Parameters:
  `name` - PsTrick's name for this attribute
  `allowedValueClass` - which class is allowed for attribute values

Method Detail

### toString

    public String toString()

### getName

    public String getName()

  Return the name of the attribute described by this PicAttributeName

### getAllowedValueClass

    public Class getAllowedValueClass()

  Return the class that is allowed for attribute values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org